MTREE_VERIFY(3)

NAME
mtree_verify - validate a merkle tree

LIBRARY
Librecast library (liblibrecast, -llibrecast)

SYNOPSIS
#include <librecast/mtree.h>

int mtree_verify(mtree_t *tree);

Compile and link with -llibrecast.

DESCRIPTION
The mtree_verify function re-hashes the nodes in tree from the base to the root, returning zero if the tree is valid.

RETURN VALUE
mtree_verify() returns zero if the tree is valid, -1 if not.

ERRORS
None.

SEE ALSO
mtree_init(3), mtree_free(3), q_init(3), q_pool_create(3), q_job_seek(3)